#include "..\au.hpp"
/*************************************************************************/
STATUS process_at_file(AU *au, LISTPTR *process_list, char *file_name)
{
	HANDLE handle;
	char string[FLENGTH];

	if (handle.open(au, file_name) != SUCCESS)
	{
		au_printf_error(au, "Unable to open @ file %s", file_name);
		exit(1);
	}
	while (handle.read_word(string) != EOF)
	{
		ltrim(string);
		if (string[0] == '@')
			process_at_file(au, process_list, string+1);
		if (*string != '\0')
			process_list->add(string);
	}
	handle.close();
	return SUCCESS;
}
