#include "..\au.hpp"

/**/
void version_print(AU *au, int version, int len, BOOLEAN left)
{
	BYTE color;

	if (archive_is_old(version))
		color = 11; 				  /* old versions in cyan */
	else
	{
		switch (version)
		{
			case 0: case 47: case 48: case 65: case 66: case 60:
				color = 14; break;	  /* Unknown in yellow */
			default:
				color = 10; break;	  /* new in green */
		}
	}
	if (left)
		au_printf_c(au, color, "%-*.*s", len, len, versions[version]);
	else
		au_printf_c(au, color, "%*.*s", len, len, versions[version]);
}

